/*
 *      Copyright (c) 2004-2013 YAMJ Members
 *      http://code.google.com/p/moviejukebox/people/list
 *
 *      This file is part of the Yet Another Movie Jukebox (YAMJ).
 *
 *      The YAMJ is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation, either version 3 of the License, or
 *      any later version.
 *
 *      YAMJ is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with the YAMJ.  If not, see <http://www.gnu.org/licenses/>.
 *
 *      Web: http://code.google.com/p/moviejukebox/
 *
 */
package com.moviejukebox.model;

public class Image implements IImage {

    public static final IImage UNKNOWN = new Image();
    private String url = Movie.UNKNOWN;
    private String subimage = Movie.UNKNOWN;

    public Image() {
    }

    public Image(String url) {
        this.url = url;
    }

    public Image(String url, String subimage) {
        this.url = url;
        this.subimage = subimage;
    }

    @Override
    public String getUrl() {
        return url;
    }

    @Override
    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String getSubimage() {
        return subimage;
    }

    @Override
    public void setSubimage(String subimage) {
        this.subimage = subimage;
    }

    @Override
    public String toString() {
        return "Image{"
                + "url='" + url + '\''
                + ", subimage='" + subimage + '\''
                + '}';
    }
}
